#
# spec file for package python-freetype-py
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
# Upstream performs tests only for Python 3.5
%bcond_with     test
Name:           python-freetype-py
Version:        2.1.0.post1
Release:        bp156.3.2
Summary:        Freetype python bindings
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/rougier/freetype-py
Source:         https://files.pythonhosted.org/packages/source/f/freetype-py/freetype-py-%{version}.tar.gz
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       freetype2
BuildArch:      noarch
%if %{with test}
BuildRequires:  freetype2
%endif
%python_subpackages

%description
Freetype python provides bindings for the FreeType library.
Only the high-level API is bound.

%prep
%setup -q -n freetype-py-%{version}
sed -i -e '/^#!\//, 1d' freetype/ft_structs.py freetype/ft_types.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%pytest tests
%endif

%files %{python_files}
%license LICENSE.txt
%doc README.rst
%{python_sitelib}/*

%changelog
* Thu Sep 12 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2.1.0.post1:
  * no changelog given
* Fri Jun  7 2019 Marketa Calabkova <mcalabkova@suse.com>
- Update to version 2.1.0
  * Freetype-py can now install the library with a bundled FreeType binary.
  * Update bundled FreeType to 2.10.0
  * Update bundled HarfBuzz to 2.3.1
  * Add Python 3.7 builds to PyPI
  * FT_Face can now be instantiated with a file path or a byte
    stream from memory
  * Fix bug where outline and bitmap could be off by one grid unit
    in one of the examples, when extrema did not have on-curve points.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Tue Nov  7 2017 toddrme2178@gmail.com
- initial version
